//Source file: Constants.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.mm
 *
 */
public interface Constants {

    /**
     * Indicates attempt to create a new binding
     */
    public static final int UB_NEW = 1;

    /**
     * Indicates removal of an existing binding
     */
    public static final int UB_REMOVE = 2;

    /**
     * Indicates attempt to update an existing binding
     */
    public static final int UB_UPDATE = 4;

} // org.csapi.jr.se.mm.Constants
