//Source file: InvalidReportingIntervalException.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * The requested reporting interval is not valid
 *
 */
public class InvalidReportingIntervalException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidReportingIntervalException() {
        super(); 
    }

    public InvalidReportingIntervalException(String message) {
        super(message); 
    }

    public InvalidReportingIntervalException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidReportingIntervalException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidReportingIntervalException

