//Source file: RequestedAccuracyCannotBeDeliveredException.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * The requested location accuracy cannot be delivered
 *
 */
public class RequestedAccuracyCannotBeDeliveredException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public RequestedAccuracyCannotBeDeliveredException() {
        super(); 
    }

    public RequestedAccuracyCannotBeDeliveredException(String message) {
        super(message); 
    }

    public RequestedAccuracyCannotBeDeliveredException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public RequestedAccuracyCannotBeDeliveredException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // RequestedAccuracyCannotBeDeliveredException

