//Source file: TriggerConditionsNotSubscribedException.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Trigger conditions not subscribed
 *
 */
public class TriggerConditionsNotSubscribedException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public TriggerConditionsNotSubscribedException() {
        super(); 
    }

    public TriggerConditionsNotSubscribedException(String message) {
        super(message); 
    }

    public TriggerConditionsNotSubscribedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public TriggerConditionsNotSubscribedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // TriggerConditionsNotSubscribedException

