//Source file: TriggeredReportingEndedEvent.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredReportingEnded() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredReportingEndedEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredReportingEndedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredReportingEndedEvent(java.lang.Object source) {

        super(source);
 
    }

}

