//Source file: MobilityException.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Mobility abstract exception
 *
 */
public class MobilityException extends java.lang.Exception {

    private Throwable _cause = null;

    public MobilityException() {
        super(); 
    }

    public MobilityException(String message) {
        super(message); 
    }

    public MobilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MobilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MobilityException

