//Source file: RequestedResponseTimeCannotBeDeliveredException.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * The requested response time cannot be delivered
 *
 */
public class RequestedResponseTimeCannotBeDeliveredException extends org.csapi.jr.se.mm.MobilityException {

    private Throwable _cause = null;

    public RequestedResponseTimeCannotBeDeliveredException() {
        super(); 
    }

    public RequestedResponseTimeCannotBeDeliveredException(String message) {
        super(message); 
    }

    public RequestedResponseTimeCannotBeDeliveredException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public RequestedResponseTimeCannotBeDeliveredException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // RequestedResponseTimeCannotBeDeliveredException

